
Redmine - Feature #5655

Allow related issues to be started/due on the same date.

2010-06-08 15:26 - Dan Olsen

Status: Closed Start date: 2010-06-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

When I have issue A and issue B, and I assign issue B to follow issue A I want to still be able to schedule the start date for both A

and B on the same day.

Currently if I schedule issue A and issue B to start on the same day, than I say issue B follows issue A, issue B's start date is

changed to the next day after issue A's due date. Issue A may only take an hour which means issue A and issue B could technically

start on the same day.

Instead of moving the B date out a day after the due date of A, set the start date of B to the due date of A and then let me change the

start date of B if it needs to be the next day.

Related issues:

Has duplicate Redmine - Feature #6127: Preceeded by / followed by - Same day Closed 2010-08-13

Is duplicate of Redmine - Patch #3195: issue's start date could be the latest... New 2009-04-17

History

#1 - 2010-06-29 20:18 - Christopher Lörken

I've encountered the same issue.

I have fixed this for me like this:

In version 0.9.4 open your app/models/issue_relation.rb file and go to line 79.

Replace

  def successor_soonest_start

    return nil unless (TYPE_PRECEDES == self.relation_type) && (issue_from.start_date || issue_from.due_date)

    (issue_from.due_date || issue_from.start_date) + 1 + delay

  end

 with

  def successor_soonest_start

    return nil unless (TYPE_PRECEDES == self.relation_type) && (issue_from.start_date || issue_from.due_date)

    (issue_from.due_date || issue_from.start_date) + delay

  end

 in other words: remove the "+ 1" from line 79.

Restart your web server and you can choose the same start and enddates for following tasks.

#2 - 2010-08-17 10:23 - Brian DeVries

- File seq_issues_start_end_same_day.patch added

As a side note, at least in r3940, this is now on line 94. I've included a patch with this change.

As a question, what would be the general requirements for this feature to be included in Redmine proper? Depending on the complexity, I figure this

might be a good introduction to Redmine hacking for me.

#3 - 2010-09-10 02:25 - red guv

Great thanks, Is this being placed into the trunk?

I have noticed that the fix works but gantt charts sort by issue id when tasks are on the start on the same day.
https://www.redmine.org/projects/redmine/repository/svn/revisions/3940


The sort should take into account precedes and follows relationships.

I see the following issue but no action on it.

http://www.redmine.org/issues/3436

It seems logical to include the precedes and follows in the sorting criteria for a gantt chart by default.

#4 - 2010-09-20 21:01 - Gabriel Mazetto

There is a patch to this issue, why it's not merged in the trunk yet?

#5 - 2014-02-20 12:15 - Siebe Joris Jochems

I have the same problem. I use the gantt chart a lot and I love the arrows between issues. When working with small issues (2 hours) a lot of those will

start/end on the same day.

Another workaround for this issue is to specify a delay of -1 days when linking the issues.

#6 - 2018-11-20 16:48 - Sebastian C

8 years later, is there any update on this?

Using a delay of -1 certainly works but it's incredibly confusing to anyone who doesn't know why it was necessary to do so.

#7 - 2018-11-20 21:15 - Marius BĂLTEANU

Sebastian C wrote:

8 years later, is there any update on this?

Using a delay of -1 certainly works but it's incredibly confusing to anyone who doesn't know why it was necessary to do so.

 There were some discussions about this on #3195. I'll close this issue as duplicated.

#8 - 2018-11-20 21:16 - Marius BĂLTEANU

- Is duplicate of Patch #3195: issue's start date could be the latest due date of predecessors added

#9 - 2018-11-20 21:16 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Duplicate

Files

seq_issues_start_end_same_day.patch 534 Bytes 2010-08-17 Brian DeVries
